Bug 1194325 - RBAC:Requester pull down shows all the users and not the current user.
Summary: RBAC:Requester pull down shows all the users and not the current user.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.3.4
Assignee: Brian McLaughlin
QA Contact: Aziza Karol
URL:
Whiteboard:
Depends On: 1190603
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 14:49 UTC by Brian McLaughlin
Modified: 2015-05-06 19:23 UTC (History)
6 users (show)

Fixed In Version: 5.3.4.1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1190603
Environment:
Last Closed: 2015-04-29 13:19:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0890 0 normal SHIPPED_LIVE cfme (5.3.4) bug fix and enhancement update 2015-04-29 17:18:32 UTC

Comment 1 CFME Bot 2015-02-19 14:55:45 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=4ceb460b0830ae67791da918a35c0b58208e3509

commit 4ceb460b0830ae67791da918a35c0b58208e3509
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Wed Feb 18 14:40:35 2015 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Thu Feb 19 09:51:45 2015 -0500

    Limit non-approver requester pulldown to current user
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1194325

 vmdb/app/controllers/miq_request_controller.rb | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

Comment 2 CFME Bot 2015-02-19 14:55:48 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=af59895d0d38343e8996f050ac4eb2c940a44517

commit af59895d0d38343e8996f050ac4eb2c940a44517
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Wed Feb 18 15:21:15 2015 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Thu Feb 19 09:52:24 2015 -0500

    Hash#has_value? is deprecated in favor of Hash#value?
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1194325

 vmdb/app/controllers/miq_request_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Aziza Karol 2015-04-22 03:44:58 UTC
Verified: 	
5.3.4.2.20150415125246_f5d5c91

Comment 7 errata-xmlrpc 2015-04-29 13:19:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0890.html


Note You need to log in before you can comment on or make changes to this bug.